@import url('https://fonts.googleapis.com/css2?family=Fredericka+the+Great&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Diplomata&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Orbitron&display=swap');


*{
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

/*ProductCard*/
.cardHighlight{
  max-height: 100%;
}

.card {
    margin-bottom: 4rem;
    background-color: rgb(247, 247, 247);
    height: 100%;
}

.cardClass {
  
    max-width: 100%;
    height: 400px;
}

.card-image{
    width:  100px;
    height: 150px;
    object-fit: cover;
    text-align: center;
}

.card-title {
    font-weight: 900;
    flex-grow: 1;
}


.card-text-body {
    display: flex;
    flex-direction: column;
    min-width: 0;
}
.card-description {
    font-size: 13px;

    overflow: hidden;
    height: 100px;
}

.card-body {
    font-weight: 400;
}

.movieCard-btn {
    width: 100%;
    margin-top: 1rem;
}
.btn .btn-primary {
    text-align: center!important;
}
.btn-primary {
    color: black;
    background-color: goldenrod;
    border-color: black;
}
.btn-primary:hover {
    color: black;
    background-color: goldenrod;
    border-color: black;
}

a {
    text-decoration: none!important;
}
/*End of productCard*/


.background1 {
                  /* to overlay/ hanap2  */
  background-image: url(../public/images/ovrlay.png), url(https://images.pexels.com/photos/5214327/pexels-photo-5214327.jpeg); /* The image used */
  /*height: 6000px;*/ 
  background-position: center; 
  background-repeat: no-repeat;
  background-attachment: fixed;  /*to fix background image*/
  background-size: cover; 

}

/*banner font and title styles*/
.bannertitle {
font-family: 'Fredericka the Great', cursive;
color: royalblue;
} 

.slidetitle {
font-family: 'Diplomata', cursive;
font-size: 20px;
color: royalblue;
}

.slidetitle2{
 font-family: 'Diplomata', cursive;
 font-size: 60px;
color: transparent;
-webkit-text-stroke: 1px #fff;
background: url(../public/images/redStrip.png);
-webkit-background-clip: text;
background-position: 0 0;
animation: back 20s linear infinite;   
}
@keyframes back{
    100%{
        background-position: 2000px 0;
    }
}

.slidetitle3{
font-family: 'Diplomata', cursive;
font-size: 30px;
color: royalblue;
}



.slidetit{
font-family: 'Diplomata', cursive;
font-size: 20px;
color: royalblue;
}

.slidetit2{
font-family: 'Diplomata', cursive;
font-size: 60px;
color: transparent;
-webkit-text-stroke: 1px #fff;
background: url(../public/images/redStrip.png);
-webkit-background-clip: text;
background-position: 0 0;
animation: back 20s linear infinite;   
}
@keyframes back{
    100%{
        background-position: 2000px 0;
    }
}

.slidetit3{
font-family: 'Diplomata', cursive;
font-size: 30px;
color: royalblue;
}




form {
  background-color: dimgray;
  box-shadow: 30px 20px 10px rgba(0,0,0,0.2);
}

.otherServices{
font-family: 'Orbitron', sans-serif;
background-image: url(../public/images/ovrlay.png), url(  https://img.freepik.com/premium-photo/cyclist-side…ration-3d-render-copy-space_99433-7950.jpg?w=1480)
}

/*Navbar styling*/
.navbarTop{
  width: 100%;
  height: 100%vh;
  background-image: linear-gradient(rgba(0, 0, 0, 0.5),transparent);
  background-size: cover;
  background-position: center;
  padding: 0 8%;
  position: relative;

}

nav{
  display: flex;
  width: 100%;
  align-items: center;
  flex-wrap: wrap;
  padding: 5px 0;
}


.cart-icon{
   width: 30px;
  cursor: pointer;
}

nav ul{
  flex: 1;
  text-align: right;
  padding-right: 30px;
}

nav ul li{
  display: inline-block;
  list-style: none;
  margin: 5px 10px;
}

nav ul li a{
  color: #0000ff;
  text-decoration-color: none ;
  position: relative;
}

nav ul li a::after{
  content: '';
  width: 0;
  height: 3px;
  position: absolute;
  bottom: -5px;
  left: 50%;
  transform: translateX(-50%);
  background: #000000;
  transition: width 0.3s;
}

nav ul li a:hover::after{
  width: 50%;
}

/*Background for login and registration*/
.logbg{
background: url(../public/images/cate.jpg);
position: fixed;
min-width: 100%;
min-height: 100%;
background-size: cover;
}

